import 'package:angular_router/angular_router.dart';

//import 'rp_range/rp_range.template.dart' as range_template;
//import 'rp_modal/rp_modal.template.dart' as modal_template;

import 'storybook/rp_range_book/rp_range_book.template.dart' as range_template;
import 'storybook/rp_modal_book/rp_modal_book.template.dart' as modal_template;

import 'route_paths.dart';
export 'route_paths.dart';

class Routes {

  static final range = RouteDefinition(
    routePath: RoutePaths.rpRangeComponent,
    component: range_template.RangeBookComponentNgFactory,
  );

  static final modal = RouteDefinition(
    routePath: RoutePaths.rpModalComponent,
    component: modal_template.RpModalBookNgFactory,
  );

  static final all = <RouteDefinition>[
    range,
    modal
  ];
}
