//import 'dart:async';
//
//import "package:angular/angular.dart";
//import 'package:ng_bootstrap/components/modal/modal.dart';
//import 'package:roadmap_planner_web_components/routes.dart';
//
//
//@Component(selector: "rm-modal",
//    templateUrl: "rm_modal.html",
//    styleUrls: ['rm_modal.css'],
//    directives: const [BsModalComponent])
//class RmModal {
//
//  RmModal();
//
//  @ViewChild('myModal') BsModalComponent modal;
//
//  String modalAction;
//
//  onModalClose(String _modalAction) {
//    modalAction = _modalAction;
//    print('modalAction: $modalAction');
//  }
//
//  handleSave() {
//    print('saving');
//    return 'SAVE';
//  }
//
//  handleCancel() {
//    print('cancelling');
//    return new Future.delayed(const Duration(seconds: 2), () => 'CANCEL');
//  }
//}

// Copyright (c) 2016, <your name>. All rights reserved. Use of this source code

// is governed by a BSD-style license that can be found in the LICENSE file.

import 'dart:async';
import 'dart:html';
import 'package:angular/angular.dart';

import '../../components/rp_modal/rp_modal.dart';

/// Shows a bootstrap modal dialog.
/// Set the body of the dialog by adding content to the modal tag:
///
///     <bs-modal>content here</bs-modal>
///
@Component(
    selector: 'rp-modal-book',
    templateUrl: 'rp_modal_book.html',
    styleUrls: ['rp_modal_book.css'],
    directives: const [coreDirectives, RpModal])
class RpModalBook implements AfterViewInit {

  RpModalBook();

  @ViewChildren(RpModal) List<RpModal> modals;
  RpModal modal;


  @override
  void ngAfterViewInit() {
    modal = modals[0];
  }

}