import 'dart:html';
import 'dart:async';
import 'package:angular/angular.dart';

import '../../components/rp_range/rp_range.dart';

@Component(
  selector: 'rp-range-book',
  templateUrl: 'rp_range_book.html',
  styleUrls: ['rp_range_book.css'],
  directives: [RangeComponent, NgIf],
  pipes: [AsyncPipe]
)
class RangeBookComponent implements AfterViewInit {

  RangeBookComponent();

  @ViewChildren(RangeComponent) List<RangeComponent> rangeComponents;
  RangeComponent rangeComponent;

  double zoom;
  MoveOutput moveVal;

  bool viewInit = false;

 @override
 void ngAfterViewInit() {
   viewInit = true;
   rangeComponent = rangeComponents[0];
 }

  handleMoveRange(MoveOutput val) {
    moveVal = val;
  }

  handleZoomRange(val) {
    zoom = val;
  }

}